[Swift-commit] r8253 - SwiftApps/subjobs
ketan at ci.uchicago.edu
ketan at ci.uchicago.edu
Wed Sep 24 10:46:32 CDT 2014
Author: ketan
Date: 2014-09-24 10:46:31 -0500 (Wed, 24 Sep 2014)
New Revision: 8253
Modified:
SwiftApps/subjobs/apps
SwiftApps/subjobs/catsnsleepmpi.swift
SwiftApps/subjobs/cf
SwiftApps/subjobs/cobalt.xml
SwiftApps/subjobs/runbash.sh
SwiftApps/subjobs/runswift.sh
SwiftApps/subjobs/subjob.sh
Log:
changes for experimentation
Modified: SwiftApps/subjobs/apps
===================================================================
--- SwiftApps/subjobs/apps 2014-09-23 17:51:28 UTC (rev 8252)
+++ SwiftApps/subjobs/apps 2014-09-24 15:46:31 UTC (rev 8253)
@@ -1,3 +1,3 @@
localhost cat /bin/cat null null null
-cluster bgsh bg.sh null null null
+cluster bgsh /home/ketan/SwiftApps/subjobs/bg.sh null null null
Modified: SwiftApps/subjobs/catsnsleepmpi.swift
===================================================================
--- SwiftApps/subjobs/catsnsleepmpi.swift 2014-09-23 17:51:28 UTC (rev 8252)
+++ SwiftApps/subjobs/catsnsleepmpi.swift 2014-09-24 15:46:31 UTC (rev 8253)
@@ -2,7 +2,7 @@
app (file o, file sout, file serr) cat (file i)
{
- bgsh "/home/ketan/subjoblab/mpicatnap" @i @o arg("s","1") stdout=@sout stderr=@serr;
+ bgsh "/home/ketan/SwiftApps/subjobs/mpicatnap" @i @o arg("s","1") stdout=@sout stderr=@serr;
}
file out[]<simple_mapper; location="outdir", prefix="f.",suffix=".out">;
Modified: SwiftApps/subjobs/cf
===================================================================
--- SwiftApps/subjobs/cf 2014-09-23 17:51:28 UTC (rev 8252)
+++ SwiftApps/subjobs/cf 2014-09-24 15:46:31 UTC (rev 8253)
@@ -1,27 +1,6 @@
+use.provider.staging=false
wrapperlog.always.transfer=false
+execution.retries=0
provider.staging.pin.swiftfiles=false
sitedir.keep=false
-kickstart.always.transfer=false
-replication.limit=3
-throttle.host.submit=2
-clustering.min.time=15
-kickstart.enabled=maybe
-execution.retries=10
-pgraph=false
-use.provider.staging=false
-tracing.enabled=true
-foreach.max.threads=1024
use.wrapper.staging=false
-replication.enabled=false
-throttle.submit=4
-throttle.score.job.factor=0.2
-lazy.errors=true
-clustering.enabled=false
-caching.algorithm=LRU
-pgraph.node.options=color="seagreen", style="filled"
-replication.min.queue.time=60
-clustering.queue.delay=4
-throttle.file.operations=8
-provenance.log=false
-throttle.transfers=4
-pgraph.graph.options=splines="compound", rankdir="TB"
Modified: SwiftApps/subjobs/cobalt.xml
===================================================================
--- SwiftApps/subjobs/cobalt.xml 2014-09-23 17:51:28 UTC (rev 8252)
+++ SwiftApps/subjobs/cobalt.xml 2014-09-24 15:46:31 UTC (rev 8253)
@@ -12,9 +12,15 @@
<profile namespace="globus" key="maxwalltime">00:40:00</profile>
<profile namespace="globus" key="walltime">2050</profile>
-<profile namespace="globus" key="maxnodes">256</profile>
-<profile namespace="globus" key="nodegranularity">256</profile>
-<profile key="SUBBLOCK_SIZE" namespace="env">8</profile>
+<profile namespace="globus" key="maxnodes">512</profile>
+<profile namespace="globus" key="nodegranularity">512</profile>
+<profile key="SUBBLOCK_SIZE" namespace="env">16</profile>
+<profile key="WORKER_LOGGING_LEVEL" namespace="env">DEBUG</profile>
+<profile key="ENABLE_WORKER_LOGGING" namespace="env">TRUE</profile>
+<profile key="ENABLE_WORKER_LOGGING" namespace="env">ON</profile>
+<profile key="WORKER_LOG_DIR" namespace="env">/home/ketan/workerlogs</profile>
+<profile namespace="globus" key="workerLoggingLevel">DEBUG</profile>
+<profile namespace="globus" key="workerLoggingDirectory">/home/ketan/workerlogs</profile>
<profile namespace="globus" key="jobsPerNode">32</profile>
<workdirectory>/home/ketan/swiftwork</workdirectory>
Modified: SwiftApps/subjobs/runbash.sh
===================================================================
--- SwiftApps/subjobs/runbash.sh 2014-09-23 17:51:28 UTC (rev 8252)
+++ SwiftApps/subjobs/runbash.sh 2014-09-24 15:46:31 UTC (rev 8253)
@@ -1,5 +1,5 @@
#!/bin/bash
#To run:
-qsub -n 256 -t 50 --mode script subjob.sh
+qsub -n 512 -t 02:00:00 --mode script subjob.sh
Modified: SwiftApps/subjobs/runswift.sh
===================================================================
--- SwiftApps/subjobs/runswift.sh 2014-09-23 17:51:28 UTC (rev 8252)
+++ SwiftApps/subjobs/runswift.sh 2014-09-24 15:46:31 UTC (rev 8253)
@@ -7,8 +7,7 @@
mpixlc mpicatnap.c -o mpicatnap
#New method
-/home/ketan/swift-0.95/cog/modules/swift/dist/swift-svn/bin/swift -sites.file cobalt.xml -config cf -tc.file apps catsnsleepmpi.swift -n=32
-#~/prebuilt/swift-devel/cog/modules/swift/dist/swift-svn/bin/swift catsnsleepmpi.swift -n=10
+/home/ketan/swift-0.95/cog/modules/swift/dist/swift-svn/bin/swift -sites.file cobalt.xml -config cf -tc.file apps catsnsleepmpi.swift -n=300 -s=60
#A testblock run
#qsub -A ATPESC2013 -n 32 -t 5 -q low --mode c16 --mode script testblock.sh # --disable_preboot
Modified: SwiftApps/subjobs/subjob.sh
===================================================================
--- SwiftApps/subjobs/subjob.sh 2014-09-23 17:51:28 UTC (rev 8252)
+++ SwiftApps/subjobs/subjob.sh 2014-09-24 15:46:31 UTC (rev 8253)
@@ -10,8 +10,9 @@
#build app
mpixlc mpicatnap.c -o mpicatnap
+bgxlc mysleep.c -o mysleep
-SHAPE="2x2x2x2x2"
+SHAPE="2x2x2x2x1"
CORNERS=$(get-corners.py $COBALT_PARTNAME $SHAPE)
@@ -20,7 +21,7 @@
MAXRUNJOB=64
i=0
-for j in $(seq 1 200)
+for j in $(seq 1 1024)
do
for CORNER in $CORNERS
do
@@ -30,12 +31,11 @@
#runjob --block $COBALT_PARTNAME --corner $CORNER --shape $SHAPE -p 1 --np 8 --timeout 30 : mpicatnap in.data out.data $stime >RUNJOB.$j-$i 2>&1 &
#without timeout
- #(echo "About to use this corner: $CORNER"; runjob --block $COBALT_PARTNAME --corner $CORNER --shape $SHAPE -p 1 --np 8 : mpicatnap in.data out.data $stime >RUNJOB.$j-$i 2>&1 ; echo $?) &
- (echo "About to use this corner: $CORNER" >RUNJOB.$j-$i; runjob --block $COBALT_PARTNAME --corner $CORNER --shape $SHAPE -p 16 -n 512 : ./mysleep >>RUNJOB.$j-$i 2>&1 ; echo Exit status: $? >>RUNJOB.$j-$i) &
+ #(echo "About to use this corner: $CORNER" >RUNJOB.$j-$i; runjob --block $COBALT_PARTNAME --corner $CORNER --shape $SHAPE -p 16 -n 128 : ./mysleep 1 >>RUNJOB.$j-$i 2>&1 ; echo Exit status: $? >>RUNJOB.$j-$i) &
+ (echo "About to use this corner: $CORNER" >RUNJOB.$j-$i; runjob --block $COBALT_PARTNAME --corner $CORNER --shape $SHAPE -p 16 -n 64 : mpicatnap in.data out.data $stime >>RUNJOB.$j-$i 2>&1 ; echo Exit status: $? >>RUNJOB.$j-$i) &
# Important - give some time for runjob to get initialized
sleep 3
-
i=$((i+1))
if [ $i -ge $MAXRUNJOB ]; then
echo "Reached MAXRUNJOB $MAXRUNJOB"
More information about the Swift-commit
mailing list